# $Revision: 1.19 $, $Date: 2010/12/05 13:27:12 $
Summary:	Random password generator
Summary(pl.UTF-8):	Generator losowych haseł
Name:		passwdgen
Version:	2.2
Release:	8
License:	GPL
Group:		Applications/System
Source0:	http://www.securityfocus.com/data/tools/%{name}-%{version}.tar.gz
# Source0-md5:	097cf193d1b040cf0d135945714faa83
Patch0:		%{name}-amfix.patch
Patch1:		%{name}-gcc3.patch
Patch2:		%{name}-acfix.patch
Patch3:		%{name}-urandom.patch
Patch4:		%{name}-optfix.patch
Patch5:		%{name}-gcc4.patch
URL:		http://directory.fsf.org/pwdgen.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
passwdgen is a utility for generating random passwords. Amongst
passwdgen's features is the ability to generate pronounceable
passwords and passwords of entirely left, right, or alternating keys.

%description -l pl.UTF-8
passwdgen jest narzędziem do generowania losowych haseł. Może
generować hasła możliwe do wymówienia, a także składające się ze
znaków wprowadzanych jedną ręką.

%package devel
Summary:	passwdgen development package
Summary(pl.UTF-8):	passwdgen dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files and libtool script for linking with passwdgen library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i skrypt libtoola do biblioteki passwdgen.

%package static
Summary:	passwdgen static library
Summary(pl.UTF-8):	Statyczna biblioteka passwdgen
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of passwdgen library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki passwdgen.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/*.so.*.*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/passwdgen

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: passwdgen.spec,v $
Revision 1.19  2010/12/05 13:27:12  adamg
- document and handle all shortopts (-optfix.patch); release 8

Revision 1.18  2010/12/05 13:20:17  adamg
- buildfix; release 7

Revision 1.17  2007/06/14 18:30:17  arekm
- rel 6

Revision 1.16  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.14  2006/04/01 20:10:09  qboosh
- some working URLs

Revision 1.13  2005/09/13 08:27:55  teodor
- added optfix patch (add missing l option)

Revision 1.12  2005/08/07 13:15:47  adamg
- added -urandom.patch (-u chooses /dev/urandom instead of /dev/random)
- release 4

Revision 1.11  2004/03/17 10:37:12  qboosh
- added acfix patch

Revision 1.10  2004/03/17 00:10:57  qboosh
- strict internal deps, -devel R: libstdc++-devel, release 3 for Ac

Revision 1.9  2003/05/28 13:00:14  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/25 14:17:49  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/10/12 16:43:46  qboosh
- added amfix, regenerate ac/am/lt (athlon ready now)
- fixes for gcc 3.2 (gcc3 patch)
- new %%doc, release 2

Revision 1.5  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/02 20:32:56  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.3  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/14 11:47:32  filon
- changed to %%%configure2_13, to make it build

Revision 1.1  2001/05/20 14:39:31  qboosh
- new package; spec written from scratch
